Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class PaymentContext3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.PaymentContext3

public class PaymentContext3 extends Object

Java class for PaymentContext3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentContext3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CardPres" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TrueFalseIndicator" minOccurs="0"/>
             <element name="CrdhldrPres" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TrueFalseIndicator" minOccurs="0"/>
             <element name="OnLineCntxt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TrueFalseIndicator" minOccurs="0"/>
             <element name="AttndncCntxt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}AttendanceContext1Code" minOccurs="0"/>
             <element name="TxEnvt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TransactionEnvironment1Code" minOccurs="0"/>
             <element name="TxChanl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TransactionChannel1Code" minOccurs="0"/>
             <element name="AttndntMsgCpbl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TrueFalseIndicator" minOccurs="0"/>
             <element name="AttndntLang" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ISO2ALanguageCode" minOccurs="0"/>
             <element name="CardDataNtryMd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CardDataReading1Code"/>
             <element name="FllbckInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}TrueFalseIndicator" minOccurs="0"/>
             <element name="AuthntcnMtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CardholderAuthentication2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AttendanceContext1Code`
`attndncCntxt`
`protected String`
`attndntLang`
`protected Boolean`
`attndntMsgCpbl`
`protected CardholderAuthentication2`
`authntcnMtd`
`protected CardDataReading1Code`
`cardDataNtryMd`
`protected Boolean`
`cardPres`
`protected Boolean`
`crdhldrPres`
`protected Boolean`
`fllbckInd`
`protected Boolean`
`onLineCntxt`
`protected TransactionChannel1Code`
`txChanl`
`protected TransactionEnvironment1Code`
`txEnvt`

## Constructor Summary

Constructors
Constructor
Description
`PaymentContext3()`

## Method Summary

Modifier and Type
Method
Description
`AttendanceContext1Code`
`getAttndncCntxt()`
Gets the value of the attndncCntxt property.
`String`
`getAttndntLang()`
Gets the value of the attndntLang property.
`CardholderAuthentication2`
`getAuthntcnMtd()`
Gets the value of the authntcnMtd property.
`CardDataReading1Code`
`getCardDataNtryMd()`
Gets the value of the cardDataNtryMd property.
`TransactionChannel1Code`
`getTxChanl()`
Gets the value of the txChanl property.
`TransactionEnvironment1Code`
`getTxEnvt()`
Gets the value of the txEnvt property.
`Boolean`
`isAttndntMsgCpbl()`
Gets the value of the attndntMsgCpbl property.
`Boolean`
`isCardPres()`
Gets the value of the cardPres property.
`Boolean`
`isCrdhldrPres()`
Gets the value of the crdhldrPres property.
`Boolean`
`isFllbckInd()`
Gets the value of the fllbckInd property.
`Boolean`
`isOnLineCntxt()`
Gets the value of the onLineCntxt property.
`void`
`setAttndncCntxt(AttendanceContext1Code value)`
Sets the value of the attndncCntxt property.
`void`
`setAttndntLang(String value)`
Sets the value of the attndntLang property.
`void`
`setAttndntMsgCpbl(Boolean value)`
Sets the value of the attndntMsgCpbl property.
`void`
`setAuthntcnMtd(CardholderAuthentication2 value)`
Sets the value of the authntcnMtd property.
`void`
`setCardDataNtryMd(CardDataReading1Code value)`
Sets the value of the cardDataNtryMd property.
`void`
`setCardPres(Boolean value)`
Sets the value of the cardPres property.
`void`
`setCrdhldrPres(Boolean value)`
Sets the value of the crdhldrPres property.
`void`
`setFllbckInd(Boolean value)`
Sets the value of the fllbckInd property.
`void`
`setOnLineCntxt(Boolean value)`
Sets the value of the onLineCntxt property.
`void`
`setTxChanl(TransactionChannel1Code value)`
Sets the value of the txChanl property.
`void`
`setTxEnvt(TransactionEnvironment1Code value)`
Sets the value of the txEnvt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cardPres

protected Boolean cardPres

### crdhldrPres

protected Boolean crdhldrPres

### onLineCntxt

protected Boolean onLineCntxt

### attndncCntxt

protected AttendanceContext1Code attndncCntxt

### txEnvt

protected TransactionEnvironment1Code txEnvt

### txChanl

protected TransactionChannel1Code txChanl

### attndntMsgCpbl

protected Boolean attndntMsgCpbl

### attndntLang

protected String attndntLang

### cardDataNtryMd

protected CardDataReading1Code cardDataNtryMd

### fllbckInd

protected Boolean fllbckInd

### authntcnMtd

protected CardholderAuthentication2 authntcnMtd

## Constructor Details

### PaymentContext3

public PaymentContext3()

## Method Details

### isCardPres

public Boolean isCardPres()
Gets the value of the cardPres property.

Returns:
  possible object is `Boolean`

### setCardPres

public void setCardPres(Boolean value)
Sets the value of the cardPres property.

Parameters:
  `value` - allowed object is `Boolean`

### isCrdhldrPres

public Boolean isCrdhldrPres()
Gets the value of the crdhldrPres property.

Returns:
  possible object is `Boolean`

### setCrdhldrPres

public void setCrdhldrPres(Boolean value)
Sets the value of the crdhldrPres property.

Parameters:
  `value` - allowed object is `Boolean`

### isOnLineCntxt

public Boolean isOnLineCntxt()
Gets the value of the onLineCntxt property.

Returns:
  possible object is `Boolean`

### setOnLineCntxt

public void setOnLineCntxt(Boolean value)
Sets the value of the onLineCntxt property.

Parameters:
  `value` - allowed object is `Boolean`

### getAttndncCntxt

public AttendanceContext1Code getAttndncCntxt()
Gets the value of the attndncCntxt property.

Returns:
  possible object is `AttendanceContext1Code`

### setAttndncCntxt

public void setAttndncCntxt(AttendanceContext1Code value)
Sets the value of the attndncCntxt property.

Parameters:
  `value` - allowed object is `AttendanceContext1Code`

### getTxEnvt

public TransactionEnvironment1Code getTxEnvt()
Gets the value of the txEnvt property.

Returns:
  possible object is `TransactionEnvironment1Code`

### setTxEnvt

public void setTxEnvt(TransactionEnvironment1Code value)
Sets the value of the txEnvt property.

Parameters:
  `value` - allowed object is `TransactionEnvironment1Code`

### getTxChanl

public TransactionChannel1Code getTxChanl()
Gets the value of the txChanl property.

Returns:
  possible object is `TransactionChannel1Code`

### setTxChanl

public void setTxChanl(TransactionChannel1Code value)
Sets the value of the txChanl property.

Parameters:
  `value` - allowed object is `TransactionChannel1Code`

### isAttndntMsgCpbl

public Boolean isAttndntMsgCpbl()
Gets the value of the attndntMsgCpbl property.

Returns:
  possible object is `Boolean`

### setAttndntMsgCpbl

public void setAttndntMsgCpbl(Boolean value)
Sets the value of the attndntMsgCpbl property.

Parameters:
  `value` - allowed object is `Boolean`

### getAttndntLang

public String getAttndntLang()
Gets the value of the attndntLang property.

Returns:
  possible object is `String`

### setAttndntLang

public void setAttndntLang(String value)
Sets the value of the attndntLang property.

Parameters:
  `value` - allowed object is `String`

### getCardDataNtryMd

public CardDataReading1Code getCardDataNtryMd()
Gets the value of the cardDataNtryMd property.

Returns:
  possible object is `CardDataReading1Code`

### setCardDataNtryMd

public void setCardDataNtryMd(CardDataReading1Code value)
Sets the value of the cardDataNtryMd property.

Parameters:
  `value` - allowed object is `CardDataReading1Code`

### isFllbckInd

public Boolean isFllbckInd()
Gets the value of the fllbckInd property.

Returns:
  possible object is `Boolean`

### setFllbckInd

public void setFllbckInd(Boolean value)
Sets the value of the fllbckInd property.

Parameters:
  `value` - allowed object is `Boolean`

### getAuthntcnMtd

public CardholderAuthentication2 getAuthntcnMtd()
Gets the value of the authntcnMtd property.

Returns:
  possible object is `CardholderAuthentication2`

### setAuthntcnMtd

public void setAuthntcnMtd(CardholderAuthentication2 value)
Sets the value of the authntcnMtd property.

Parameters:
  `value` - allowed object is `CardholderAuthentication2`